{% block body %}
	<div class="box-form clearfix" id="detailRefresh">
		<div class="modal_attention">
		    {{ 'Vous avez sélectionné l\'ensemble des données de la catégorie de données et des sous-catégories' | trad }} {{ category.LIB }}
		</div>
		
		<div class="modal-footer">
    		<button type="button" class="button secondaire" onClick="cancelConfirmation();">{{ 'Annuler' | trad}}</button>
    		<button data-cy="confirmImport" type="button" class="button principal" onClick="confirmeConfirmation();">{{ 'Confirmer' | trad}}</button>
		</div>
	</div>
	
	<script>
		function cancelConfirmation()
		{
			$("#zoneDonneeImport").html('<div class="box-form clearfix" id="detailRefresh"><h2 class="separateur_bottom" style="padding-bottom:5px;">{{ 'Toutes catégories de données' | trad }}</h2></div>');
		}
		function confirmeConfirmation()
		{
            $.ajax({
                dataType : 'html',
                url: '{{ path('ProjetAchat.ImportLibrary.ajaxAddContentLibrary', {idObjet:idObjet, typeObjet:typeObjet, idCategorie:idCategorie}) }}',
                type: "POST",
                data: {confirmation : true},
                success: function(result){
                    var data = jQuery.parseJSON(result);
                    
                    $.each( data.data, function( key, value ) {
                    	$('#insertInput').append('<input type="hidden" name="dataImport'+value+'"  id="dataImport'+value+'" value="'+value+'" />');
                    });
                    
                    $("#zoneDonneeImport").html('<div class="box-form clearfix" id="detailRefresh"><h2 class="separateur_bottom" style="padding-bottom:5px;">{{ 'Toutes catégories de données' | trad }}</h2></div>');
                }
            });   
		}
	</script>
{% endblock %}